import type { SetupContext } from '@vue/composition-api';
import type { CreateElement } from 'vue';
import type { TypeBaseTableProps } from '../type';
export default function usePagination(props: TypeBaseTableProps, context: SetupContext): {
    isPaginateData: import("@vue/composition-api").Ref<boolean>;
    dataSource: import("@vue/composition-api").Ref<{
        [x: string]: any;
        children?: any[];
    }[]>;
    renderPagination: (h: CreateElement) => JSX.Element;
};
